.page {
  background-color: #fff;
}

.detail-head {
  width: 100%;
  height: 45px;
  line-height: 45px;
  left: 0px;
  top: 0px;
  font-size: 16px;
  color: #000;
  position: absolute;
  z-index: 4;
}
.mysroll {
  overflow: hidden;
  margin-top: 45px;
  z-index: -1;
  position: absolute;
}
.detail-head.mrr {
  border-bottom: 1px solid #dbdbdb;
}

.detail-head a.head-back {
  width: 45px;
  height: 45px;
  position: absolute;
  left: 0px;
  top: 0px;
  background: url(../images/head-back.png) no-repeat center center;
  background-size: 10px;
  text-indent: -999px;
}

.detail-head a.share {
  width: 45px;
  height: 45px;
  position: absolute;
  right: 0px;
  top: 0px;
  background: url(../images/share.png) no-repeat center center;
  background-size: 18px;
  text-indent: -999px;
}

.detail-head a.text {
  width: auto;
  height: 45px;
  position: absolute;
  padding: 0px 15px;
  right: 0px;
  top: 0px;
  font-size: 12px;
  color: #333;
}

.detail-head span.num {
  height: 45px;
  position: absolute;
  right: 15px;
  top: 0px;
  text-align: right;
  font-size: 12px;
  color: #474747;
}

.detail-main img {
  width: 375px;
  display: block;
}

.detail-main .img-bg {
  width: 375px;
  height: 215px;
}
.bottom {
  position: absolute;
  bottom: 34px;
  width: 100%;
  z-index: 9;
}

.bottom .btn {
  height: 42px;
  width: 163.5px;
  background-image: linear-gradient(98deg, #fff6f6 1%, #ffdbdc 100%);
  border: 1px solid rgba(242, 59, 67, 0.5);
  border-radius: 24px;
  border-radius: 24px;
  line-height: 42px;
  font-family: PingFangSC-Medium;
  font-size: 14px;
  color: #f23b43;
  text-align: center;
  float: left;
  margin-left: 12px;
  margin-right: 12px;
}
.bottom .btn.buy {
  background-image: linear-gradient(98deg, #f66068 1%, #f23b43 100%);
  color: #ffffff;
}

.prd-layer {
  height: 385px;
  position: absolute;
  bottom: 0;
  top: auto;
  background: #ffffff;
  box-shadow: 0 0 8px 0 rgba(212, 211, 211, 0.6);
  border-radius: 12px 12px 0 0;
}

.prd-layer .prd-row {
  width: 375px;
  height: 45px;
  padding: 12px 12px 0px 12px;
}

.prd-layer .prd-row .til {
  font-family: PingFangSC-Regular;
  font-size: 14px;
  color: #666666;
  line-height: 15px;
  float: left;
  line-height: 45px;
}

.prd-layer .prd-row .val {
  float: right;
  line-height: 45px;
}

.prd-layer .price {
  font-family: PingFangSC-Medium;
  font-size: 18px;
  color: #ff4647;
}

.prd-layer .prd-name {
  font-family: PingFangSC-Medium;
  font-size: 14px;
  color: #333333;
}

.prd-layer .sub {
  border-radius: 4px;
  height: 24px;
  width: 32px;
  display: inline-block;
  border: 1px solid #f65f67;
  line-height: 18px;
  color: #f65f67;
  font-size: 21px;
  margin-top: 10px;
}

.prd-layer .sub.grey {
  border: 1px solid #ccc;
  color: #ccc;
}

.prd-layer .add.grey {
  border: 1px solid #ccc;
  color: #ccc;
  background-image: linear-gradient(98deg, #fff 1%, #fff 100%);
}

.prd-layer .num {
  height: 24px;
  width: 28px;
  display: inline-block;
  line-height: 20px;
  font-size: 16px;
  margin-top: 10px;
}

.prd-layer .add {
  background-image: linear-gradient(98deg, #f66068 1%, #f23b43 100%);
  border-radius: 4px;
  height: 24px;
  width: 32px;
  display: inline-block;
  line-height: 20px;
  color: #fff;
  font-size: 22px;
  margin-top: 10px;
}

.prd-layer .comments {
  font-family: PingFangSC-Regular;
  font-size: 10px;
  color: #bbbbbb;
  line-height: 15px;
  margin-left: 12px;
  text-align: left;
  max-height: 120px;
  overflow: hidden;
  width: 350px;
}

.prd-layer .btn {
  height: 48px;
  width: 351px;
  background-image: linear-gradient(98deg, #f66068 1%, #f23b43 100%);
  border-radius: 24px;
  line-height: 48px;
  font-family: PingFangSC-Medium;
  font-size: 16px;
  color: #ffffff;
  text-align: center;
  position: absolute;
  bottom: 53px;
  left: 50%;
  margin-left: -175.5px;
}

.prd-layer .underline {
  font-family: PingFangSC-Regular;
  font-size: 14px;
  color: #bbbbbb;
  line-height: 15px;
  position: absolute;
  bottom: 26px;
  text-decoration: underline;
  left: 50%;
  margin-left: -20px;
}
